IPSW-CLASS-DUMP(1)

NAME
ipsw-class-dump - ObjC class-dump a dylib from a DSC or MachO

SYNOPSIS
ipsw class-dump [ |] [flags]

DESCRIPTION
ObjC class-dump a dylib from a DSC or MachO

OPTIONS
--all[=false]
    Dump ALL dylbs from DSC

--arch=""
    Which architecture to use for fat/universal MachO

-a, --cat=""
    Dump category (regex)

-c, --class=""
    Dump class (regex)

--demangle[=false]
    Demangle symbol names (same as verbose)

--deps[=false]
    Dump imported private frameworks as well

--headers[=false]
    Dump ObjC headers

-h, --help[=false]
    help for class-dump

-o, --output=""
    Folder to write headers to

-p, --proto=""
    Dump protocol (regex)

--re[=false]
    RE verbosity (with addresses)

--refs[=false]
    Dump ObjC references too

-s, --spm[=false]
    🚧 Generate a Swift Package for the dylib

--theme="nord"
    Color theme (nord, github, etc)

-x, --xcfw[=false]
    🚧 Generate a XCFramework for the dylib

OPTIONS INHERITED FROM PARENT COMMANDS
--color[=false]
    colorize output

--config=""
    config file (default is $HOME/.config/ipsw/config.yaml)

--no-color[=false]
    disable colorize output

-V, --verbose[=false]
    verbose output

SEE ALSO
ipsw(1)

HISTORY
14-Sep-2025 Auto generated by spf13/cobra